summaryrefslogtreecommitdiffstats
path: root/tools/pretty_tox.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/pretty_tox.sh')
-rwxr-xr-xtools/pretty_tox.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tools/pretty_tox.sh b/tools/pretty_tox.sh
new file mode 100755
index 0000000..3ed73c1
--- /dev/null
+++ b/tools/pretty_tox.sh
@@ -0,0 +1,6 @@
+#! /bin/sh
+
+TESTRARGS=$1
+
+exec 3>&1
+status=$(exec 4>&1 >&3; (python setup.py testr --slowest --testr-args="--subunit $TESTRARGS"; echo $? >&4 ) | $(dirname $0)/subunit-trace.py -f) && exit $status